## libvorbisidec 1.2.0-1.svn20080906.tk1

=== debian/changelog ===
libvorbisidec (1:1.2.0-1.svn20080906.tk1) unstable; urgency=low

  * New upstream version. No real changes.

 -- Tuomas Kulve <tuomas@kulve.fi>  Sat,  6 Sep 2008 08:55:06 +0300

libvorbisidec (1:1.2.0-1.svn20080425.tk1) unstable; urgency=low

  * New upstream version. No real changes.
  * Added epoch to have greater version number compared to the packages
    in repository.maemo.org/extras.
  * Added bunch of ogg_* symbols to exported list for lightmediascanner
    plugin.
  * Build with DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 25 Apr 2008 17:34:33 +0300

libvorbisidec (1.2.0-1.svn20071106.tk1) unstable; urgency=low

  * New upstream version.
  * Added bunch symbols to Version_script.in needed by vorbisidec gst
    plugin.

 -- Tuomas Kulve <tuomas@kulve.fi>  Wed,  7 Nov 2007 10:22:09 +0200

libvorbisidec (1.2.0-1.svn20070330.tk1) unstable; urgency=low

  * Update to SVN trunk. No code changes in trunk.
  * Configured with --enable-low-accuracy
  * Build with DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 30 Mar 2007 17:12:18 +0300

libvorbisidec (1.2.0-1.svn20070306.tk1) unstable; urgency=low

  * Build for bora

 -- Tuomas Kulve <tuomas@kulve.fi>  Tue,  6 Mar 2007 19:50:39 +0200

libvorbisidec (1.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 09 Oct 2002 22:00:00 -0500

Local variables:
mode: debian-changelog
End:
