=== debian/control ===
Source: libvorbisidec
Section: libs
Priority: optional
Maintainer: Tuomas Kulve <tuomas@kulve.fi>
Build-Depends: autotools-dev, debhelper (>> 4.0.18), devscripts, gawk
Standards-Version: 3.5.7.0

Package: libvorbisidec1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Integer only Ogg/Vorbis decoder
 Ogg Vorbis 'Tremor' integer playback codec.

Package: libvorbisidec-dev
Architecture: any
Section: devel
Depends: libvorbisidec1 (= ${Source-Version}), libc6-dev
Description: Integer only Ogg/Vorbis decoder Development
 Development files for Tremor.
