=== debian/control ===
Source: libvorbisidec
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ralph Giles <giles@thaumas.net>,
           Martin Steghöfer <martin@steghoefer.eu>,
           Petter Reinholdtsen <pere@debian.org>,
Build-Depends: debhelper-compat (= 13),
               libogg-dev,
               pkgconf,
Standards-Version: 4.7.0
Section: libs
Vcs-Git: https://salsa.debian.org/multimedia-team/libvorbisidec.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libvorbisidec
Homepage: https://wiki.xiph.org/index.php/Tremor
Rules-Requires-Root: no

Package: libvorbisidec-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libogg-dev,
         libvorbisidec1 (= ${binary:Version}),
         ${misc:Depends},
Description: Integer-only Ogg Vorbis decoder, AKA "tremor" (Development Files)
 libvorbisidec is an Ogg Vorbis audio decoder (also known as
 "tremor"), implemented with no floating point arithmetic.  This makes
 it particularly amenable to use on systems which lack floating point
 hardware.
 .
 This package contains the development files.

Package: libvorbisidec1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Integer-only Ogg Vorbis decoder, AKA "tremor"
 libvorbisidec is an Ogg Vorbis audio decoder (also known as
 "tremor"), implemented with no floating point arithmetic.  This makes
 it particularly amenable to use on systems which lack floating point
 hardware.
